ruby-addressable_2.5.2-1_all.deb


Advertisement

Description

ruby-addressable - alternative URI implementation for Ruby

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package name ruby-addressable
Package version 2.5.2
Package release 1
Package architecture all
Package type deb
Installed size 288 B
Download size 49.19 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
ruby-addressable_2.5.2-1_all.deb 2.5.2 all Debian Main
ruby-addressable - - -

Requires

Name Value
ruby -
ruby-interpreter -
ruby-public-suffix -

Download

Type URL
Binary Package ruby-addressable_2.5.2-1_all.deb
Source Package ruby-addressable

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-addressable deb package:
    # sudo apt-get install ruby-addressable

Files

Path
/usr/lib/ruby/vendor_ruby/addressable.rb
/usr/lib/ruby/vendor_ruby/addressable/idna.rb
/usr/lib/ruby/vendor_ruby/addressable/template.rb
/usr/lib/ruby/vendor_ruby/addressable/uri.rb
/usr/lib/ruby/vendor_ruby/addressable/version.rb
/usr/lib/ruby/vendor_ruby/addressable/idna/native.rb
/usr/lib/ruby/vendor_ruby/addressable/idna/pure.rb
/usr/share/doc/ruby-addressable/README.md
/usr/share/doc/ruby-addressable/changelog.Debian.gz
/usr/share/doc/ruby-addressable/changelog.gz
/usr/share/doc/ruby-addressable/copyright
/usr/share/ruby-addressable/unicode.data
/usr/share/rubygems-integration/all/specifications/addressable-2.5.2.gemspec

Changelog

2018-03-18 - Pirate Praveen <praveen@debian.org>
ruby-addressable (2.5.2-1) unstable; urgency=medium
* Team upload
* New upstream version 2.5.2
* Bump debhelper compat to 11 and standards version to 4.1.3
2017-07-27 - Pirate Praveen <praveen@debian.org>
ruby-addressable (2.5.1-2) unstable; urgency=medium
* Team upload.
* Reupload to unstable
2017-06-27 - Sruthi Chandran <srud@disroot.org>
ruby-addressable (2.5.1-1) experimental; urgency=medium
* Team upload
* New upstream release
2016-06-04 - Cédric Boutillier <boutil@debian.org>
ruby-addressable (2.4.0-1) unstable; urgency=medium
* Imported Upstream version 2.4.0
* Bump debhelper compatibility level to 9
* Remove version in the gem2deb build-dependency
* Use https:// in Vcs-* fields
* Run wrap-and-sort on packaging files
* Update years and homepage in copyright file
* Bump Standards-Version to 3.9.8 (no changes needed)
* Refresh remove_rubygems_stuff.patch to remove also bundler usage
2015-08-09 - Cédric Boutillier <boutil@debian.org>
ruby-addressable (2.3.8-1) unstable; urgency=medium
[ Lucas Nussbaum ]
* New upstream version.
* Refresh packaging:
+ Bump Standards-Version to 3.9.6
+ Update Homepage to point to github
+ Update Vcs-Browser
+ Add Testsuite field
[ Cédric Boutillier ]
* Build-depend on newer ruby-rspec and on ruby-rspec-its (Closes: #794133)
2014-05-07 - Cédric Boutillier <boutil@debian.org>
ruby-addressable (2.3.6-1) unstable; urgency=medium
* Imported Upstream version 2.3.6
* Refresh remove_lib_from_loadpath.patch
2014-03-04 - Miguel Landaeta <nomadium@debian.org>
ruby-addressable (2.3.5-1) unstable; urgency=low
* Team upload.
* New upstream release. (Closes: #740794).
* Bump Standards-Version to 3.9.5. No changes were required.
* Refresh patches.
* Add Build-Depends on ruby-coveralls.
2013-06-04 - Cédric Boutillier <boutil@debian.org>
ruby-addressable (2.3.4-1) unstable; urgency=low
[ Christian Hofstaedtler ]
* Install CHANGELOG.md as upstream changelog
[ Cédric Boutillier ]
* New upstream version
* debian/control:
+ use canonical URI in Vcs-* fields
+ bump Standards-Version to 3.9.4 (no changes needed)
+ add myself to Uploaders
+ drop libaddressable-ruby* transitional packages
+ depend on ruby instead of ruby1.8
* move unicode.data to /usr/share/ruby-addressable
+ debian/rules: install file where needed
+ debian/patches/move_unicode_data.patch:
fix path of unicode.data in the library
+ debian/patches/remove_lib_from_loadpath.patch:
remove lib from the load path in the spec using unicode.data 
to use the version of the library installed in debian/
* remove lintian overrides, about transitional packages
2012-06-29 - Cédric Boutillier <cedric.boutillier@gmail.com>
ruby-addressable (2.2.8-1) unstable; urgency=low
* Team upload
* New upstream version
* Enable test suite. Build-depend on ruby-rspec, rake.
* Build against gem2deb >= 0.3.0
* Bump Standards-Version to 3.9.3 (no changes needed)
* Set priority of transitional packages to extra
* Improve a little bit the short description
* Convert debian/copyright to DEP-5 copyright-format/1.0
* Override lintian warning about duplicate description of transitional
packages
* Replace Conflicts: with Breaks: for dependency relations on old packages
* remove website/index.html from installed docs (not informative)
2011-05-31 - Deepak Tripathi <deepak@debian.org>
ruby-addressable (2.2.6-1) unstable; urgency=low
* New upstream release
* Switch to gem2deb-based packaging. Rename source and binary package.
* debian/control
- Removed DM upload tag.
- Bumped the standard version.
* debian/copyright
- update copyright information.

See Also

Package Description
ruby-adsf_1.2.1+dfsg1-1_all.deb tiny static file server
ruby-ae_1.8.2-1_all.deb assertive expressive (ae) is an assertions library
ruby-aes-key-wrap_1.0.1-1_all.deb Ruby implementation of AES Key Wrap
ruby-afm_0.2.2-1_all.deb Ruby library to read Adobe Font Metrics files
ruby-after-commit-queue_1.3.0-1_all.deb run callbacks after database transaction
ruby-aggregate_0.2.2-2_all.deb Ruby class for accumulating aggregate statistics
ruby-airbrussh_1.3.1-2_all.deb Concise log formatter for Capistrano and SSHKit
ruby-akismet_2.0.0-1_all.deb Ruby client for the Akismet API
ruby-albino_1.3.3-5_all.deb Ruby wrapper for pygmentize
ruby-algebrick_0.7.4-1_all.deb Algebraic types and pattern matching for Ruby
ruby-all-dev_2.5.1_amd64.deb Ruby development environment (all versions supported in Debian)
ruby-allocations_1.0.3-1+b4_amd64.deb tracking of retained objects in CRuby
ruby-amazon-ec2_0.9.17-3_all.deb Ruby library for accessing Amazon EC2
ruby-ami_2.4.0-1_all.deb Ruby client library for the Asterisk Management Interface
ruby-amq-protocol_2.3.0-1_all.deb AMQP 0.9.1 encoder & decoder
Advertisement
Advertisement